#!/bin/sh

case $(whoami) in
  root)
    gtkDir=/usr/share/themes/steppenwolf-dark
    qtDir=/usr/share/color-schemes
    plankdir=/usr/share/plank/themes
    ;;
  *)
    gtkDir=${HOME}/.themes/steppenwolf-dark
    qtDir=${HOME}/.local/share/color-schemes
    plankDir=${HOME}/.local/share/plank/themes
    ;;
esac

if [ ! -d ${gtkDir} ]; then
  mkdir -p ${gtkDir}
fi

if [ ! -d ${qtDir} ]; then
  mkdir -p ${qtDir}
fi

if [ ! -d ${plankDir} ]; then
  mkdir -p ${plankDir}
fi

cp -r gtk-* ${gtkDir}
cp -r img ${gtkDir}
cp index.theme ${gtkDir}

cp qt5/*.colors ${qtDir}

cp -r plank/* ${plankDir}
